<html>
<head>

<script type="text/javascript" src="jquery-1.10.2.js"></script>

<style>

.editable-label {
  display: inline-block;
  width: 100%;
  text-align: left;
}

.editable-label .text-wrapper {
  display: inline-block;
  max-width: 100%;
  position: relative;
  font-size: 0;
  padding: 1px 0;
}

.editable-label .text-wrapper span {
  display: inline-block;
  line-height: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  max-width: 100%;
  font-size: 30px;
  font-family: "Proxima Nova";
  border: 1px solid transparent;
  outline: 1px solid transparent;
  padding: 0;
}

.editable-label .text-wrapper :after {
  content: '\e628';
  font-family: "AllIcons";
  font-size: 42px;
  position: absolute;
  top: 50%;
  right: -10px;
  transform: translate(100%, -50%);
}

.editable-label input {
    width: 100%;
    text-align: center;
    display: none;
    border: 1px solid red;
    outline: 1px solid red;
    font-size: 30px;
    font-family: "Proxima Nova";
    padding: 0;
    border-bottom: 1px dashed #CCC;
  }
.editable-label .edit-mode {
  .text-wrapper {
    display: none;
  }
  input {
    display: block;
  }
}
  
</style>



</head>
<body>

<div class="editable-label">
	<div class="text-wrapper">
		<span>f(x) = 2x^2 + 3</span>
	</div>
	<input type="text" />
</div>

<script>
var $el = $('.editable-label');
$el.find('.text-wrapper').click(function(){
  $el.toggleClass('edit-mode', true);
  $el.find('input').val($el.find('span').text()).focus();
});
$el.find('input').focusout(function(){
  $el.toggleClass('edit-mode', false);
  $el.find('span').text($(this).val());
});
$el.find('input').keyup(function(evt){
  if(evt.which==13) {
    $(this).focusout();
  }
});
</script>

</body>
</html>